# $Id: test_aroundsun.py,v 1.3 2017/01/14 20:01:47 leavens Exp $
from aroundsun import aroundsun
from math import pi, isclose
AU = 9.2955807e7 # astronomical unit in miles
def test_aroundsun():
    assert isclose(aroundsun(1), 2 * pi * AU)
    assert isclose(aroundsun(18), 36 * pi * AU)
    assert isclose(aroundsun(19), 38 * pi * AU)
    assert isclose(aroundsun(20), 40 * pi * AU)
    assert isclose(aroundsun(30), 60 * pi * AU)
    assert isclose(aroundsun(40), 80 * pi * AU)
    assert isclose(aroundsun(50), 100 * pi * AU)
    # oldest human lived 122 years and 164 days
    assert isclose(aroundsun(122.449315), 244.89863 * pi * AU)
    # some turtles and a clam have lived 500 years
    assert isclose(aroundsun(500), 1000 * pi * AU)
    # a bristlecone pine is thought to be about 5000 years old
    assert isclose(aroundsun(5000), 10000 * pi * AU)
